Subject: Re: dcache BUG()

From: Dan Malek <[email-masked]>
Date: Mon, 07 May 2001 20:41:36 -0400

Eli Chen wrote:

> The book is titled "PowerPC Microprocessor Family:....

I left that one at home today.

> I searched through the 405GP user manual, and it makes no mention of if it
> checks the reservation address or not, just like you said.

I grabbed my stack of Motorola manuals.  All of the 6xx/7xx/8xx manuals
have a UISA section that describes the behavior of all implementation
dependent instructions.  The lwarx/stwcx behavior is clearly defined,
along with either 16 or 32 word granularity.......I have Gabriel's
patch floating around on a couple of systems for testing.  If you
try it, let me know the results please.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/